Xamarin Android Crash en Inicio "Got a SIGSEGV"

Tengo una aplicación Xamarin Forms, por lo que iba a publicar mi aplicación, pero encontré un error, que se reúne sólo en los viejos dispositivos (o enuladores) xperia (2.3.7 y 4.0.4), por lo que mi aplicación se bloquea como soons como Hice clic en un icono de la aplicación en el menú, aquí es lo que veo en la salida:

06-10 12:46:18.344 E/mono-rt ( 2885): Stacktrace: 06-10 12:46:18.344 E/mono-rt ( 2885): 06-10 12:46:18.344 E/mono-rt ( 2885): at <unknown> <0xffffffff> 06-10 12:46:18.344 E/mono-rt ( 2885): at (wrapper managed-to-native) object.wrapper_native_0x8235c890 (intptr,intptr,string,string) <IL 0x00054, 0xffffffff> 06-10 12:46:18.344 E/mono-rt ( 2885): at Android.Runtime.JNIEnv.GetMethodID (intptr,string,string) [0x00042] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:158 06-10 12:46:18.344 E/mono-rt ( 2885): at Android.Runtime.JNIEnv.CreateInstance (intptr,string,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.cs:377 06-10 12:46:18.344 E/mono-rt ( 2885): at Android.Runtime.JNIEnv.CreateInstance (System.Type,string,Android.Runtime.JValue*) [0x00007] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.cs:411 06-10 12:46:18.344 E/mono-rt ( 2885): at Android.Runtime.JNIEnv.StartCreateInstance (System.Type,string,Android.Runtime.JValue*) [0x00011] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.cs:320 06-10 12:46:18.344 E/mono-rt ( 2885): at Android.Runtime.JNIEnv.StartCreateInstance (System.Type,string,Android.Runtime.JValue[]) [0x0001d] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.cs:326 06-10 12:46:18.344 E/mono-rt ( 2885): at Java.Lang.Object..ctor () [0x0001c] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:72 06-10 12:46:18.344 E/mono-rt ( 2885): at Android.Runtime.UncaughtExceptionHandler..ctor (Java.Lang.Thread/IUncaughtExceptionHandler) [0x00000] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Runtime/UncaughtExceptionHandler.cs:28 06-10 12:46:18.344 E/mono-rt ( 2885): at Android.Runtime.JNIEnv.Initialize (Android.Runtime.JnienvInitializeArgs*) [0x002f4] in /Users/builder/data/lanes/monodroid-mavericks-monodroid-5.1-series/d419c934/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.cs:245 06-10 12:46:18.344 E/mono-rt ( 2885): at (wrapper runtime-invoke) <Module>.runtime_invoke_void_intptr (object,intptr,intptr,intptr) <IL 0x00060, 0xffffffff> 06-10 12:46:18.344 E/mono-rt ( 2885): 06-10 12:46:18.344 E/mono-rt ( 2885): Attempting native Android stacktrace: 06-10 12:46:18.344 E/mono-rt ( 2885): 06-10 12:46:18.344 E/mono-rt ( 2885): Could not unwind with `libunwind.so`: Cannot load library: load_library[1109]: Library '/data/data/com.telohranitel24/lib/libunwind.so' not found 06-10 12:46:18.344 E/mono-rt ( 2885): Could not unwind with `libcorkscrew.so`: Cannot load library: load_library[1109]: Library '/data/data/com.telohranitel24/lib/libcorkscrew.so' not found 06-10 12:46:18.344 E/mono-rt ( 2885): 06-10 12:46:18.344 E/mono-rt ( 2885): No options left to get a native stacktrace :-( 06-10 12:46:18.344 E/mono-rt ( 2885): 06-10 12:46:18.344 E/mono-rt ( 2885): ================================================================= 06-10 12:46:18.344 E/mono-rt ( 2885): Got a SIGSEGV while executing native code. This usually indicates 06-10 12:46:18.344 E/mono-rt ( 2885): a fatal error in the mono runtime or one of the native libraries 06-10 12:46:18.344 E/mono-rt ( 2885): used by your application. 06-10 12:46:18.344 E/mono-rt ( 2885): ================================================================= 06-10 12:46:18.344 E/mono-rt ( 2885): 

No tengo ni idea de por qué sucede, cualquier idea será útil, por favor!

Mientras Xamarin admite todos los niveles de API de Android, Xamarin.Forms solo admite API de nivel 15+, debe establecer su SDK mínimo a 15. Aquí está nuestra documentación:

http://developer.xamarin.com/guides/cross-platform/xamarin-forms/introduction-to-xamarin-forms/#Requirements

Esto significa que Xamarin.Forms soporta el 94% de todos los dispositivos Android: https://developer.android.com/about/dashboards/index.html?utm_source=suzunone

  • Xamarin Forms PCL HttpClient lanzando una excepción no controlada en Android
  • ¿Puedo diseñar la interfaz de usuario en Xamarin.Forms mediante XAML
  • Xamarin.Forms: alineación incorrecta del texto del botón después del clic (Android)
  • Xamarin "intenta invocar el método virtual 'void android.view.View.unFocus (android.view.View)' en una referencia a un objeto nulo"
  • Xamarin Forms ListView Programatic Refresh No se detiene en Android cuando se carga la página
  • Xamarin.Auth obtener disallowed_useragent error
  • Xamarin.Forms SetHasNavigationBar causas falsas salto en PushAsync
  • Cómo utilizar controles Xamarin.Form y controles nativos En la misma página
  • Xamarin Form Master Página de detalles que no se muestra
  • Línea azul claro sobre mi barra de navegación en la aplicación de Android
  • Cómo obtener / detectar el tamaño de la pantalla en Xamarin.Forms?
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.